from __future__ import print_function
import sys
import getpass

from .convert import convert, unit_conversion_re
from .parser import eval


def answer(command):
    if not command:
        return "Affirmative, {}. I read you.".format(getpass.getuser())

    # check if it is conversion command
    convert_match = unit_conversion_re.match(command)
    if convert_match:
        input_val = convert_match.group('num')
        unit_from = convert_match.group('unit_from')
        unit_to = convert_match.group('unit_to')
        return convert(input_val, unit_from, unit_to)
    else:
        return eval(command)


def main():
    command = ' '.join(sys.argv[1:]).strip()
    a = answer(command)
    if a:
        print(a)
    else:
        print("I'm sorry {}, I'm afraid I can't do that".format(getpass.getuser()))
