import operator


def rev(func):
    def wrapper(a, b):
        return func(b, a)
    return wrapper


def flatten(list_of_lists):
    for ll in list_of_lists:
        for l in ll:
            yield l


def op(f):
    def method(self, othervalue):
        return self.__class__(lambda x: f(self(x), othervalue))
    return method


class Callable(object):
    def __init__(self, callable=None):
        if not callable:
            callable = lambda x: x
        self.func = callable

    def __call__(self, value):
        return self.func(value)

    __mul__ = op(operator.mul)
    __add__ = op(operator.add)
    __div__ = op(operator.div)
    __sub__ = op(operator.sub)

    __rmul__ = op(rev(operator.mul))
    __radd__ = op(rev(operator.add))
    __rdiv__ = op(rev(operator.div))
    __rsub__ = op(rev(operator.sub))


_ = Callable()
