from decimal import Decimal as d
from plz.functional import _


UNITS = [
    ('k', 'kelvin',),
    ('c', 'celsius',),
    ('f', 'fahrenheit',),
]


CONV = {
    'k': {
        'k': _,
        'c': _ - d('273.15'),
        'f': (_ - d('273.15')) * d('1.8') + 32,
    },
    'c': {
        'k': _ + d('273.15'),
        'c': _,
        'f': _ * d('1.8') + 32,
    },
    'f': {
        'k': (_ - 32) / d('1.8') + d('273.15'),
        'c': (_ - 32) / d('1.8'),
        'f': _,
    }
}
