from plz.functional import _


UNITS = [
    ('second', 'seconds'),
    ('minute', 'minutes'),
    ('hour', 'hours',),
    ('day', 'days'),
    ('week', 'weeks'),
    ('month', 'months'),
    ('year', 'years'),
]


CONV = {
    'second': {
        'second': _,
        'minute': _ / 60,
        'hour': _ / 60 / 60,
        'day': _ / 60 / 60 / 24,
        'week': _ / 60 / 60 / 24 / 7,
        'month': _ / 60 / 60 / 24 / 30,
        'year': _ / 60 / 60 / 24 / 365,
    },
    'minute': {
        'second': _ * 60,
        'minute': _,
        'hour': _ / 60,
        'day': _ / 60 / 24,
        'week': _ / 60 / 24 / 7,
        'month': _ / 60 / 24 / 30,
        'year': _ / 60 / 24 / 365,
    },
    'hour': {
        'second': _ * 60 * 60,
        'minute': _ * 60,
        'hour': _,
        'day': _ / 24,
        'week': _ / 24 / 7,
        'month': _ / 24 / 30,
        'year': _ / 24 / 365,
    },
    'day': {
        'second': _ * 24 * 60 * 60,
        'minute': _ * 24 * 60,
        'hour': _ * 24,
        'day': _,
        'week': _ / 7,
        'month': _ / 30,
        'year': _ / 365,
        },
    'week': {
        'second': _ * 7 * 24 * 60 * 60,
        'minute': _ * 7 * 24 * 60,
        'hour': _ * 7 * 24,
        'day': _ * 7,
        'week': _,
        'month': _ / 4,
        'year': _ / 52,
    },
    'month': {
        'second': _ * 30 * 24 * 60 * 60,
        'minute': _ * 30 * 24 * 60,
        'hour': _ * 30 * 24,
        'day': _ * 30,
        'week': _ * 4,
        'month': _,
        'year': _ / 12,
    },
    'year': {
        'second': _ * 365 * 24 * 60 * 60,
        'minute': _ * 365 * 24 * 60,
        'hour': _ * 365 * 24,
        'day': _ * 365,
        'week': _ * 52,
        'month': _ * 12,
        'year': _,
    },
}
